name: delta
display_name: delta
version: 1.6
author:
  name: "FieldTheme Team"
  email: "fieldthemes@gmail.com"

meta:
  compatibility:
      from: 1.7.7.0
      to: ~

  available_layouts:
    layout-full-width:
      name: Full Width
      description: No side columns, ideal for distraction-free pages such as product pages.
    layout-both-columns:
      name: Three Columns
      description: One large central column and 2 side columns.
    layout-left-column:
      name: Two Columns, small left column
      description: Two columns with a small left column
    layout-right-column:
      name: Two Columns, small right column
      description: Two columns with a small right column

assets:
  # If you're using this theme as child and you want to load
  # the parent theme assets, uncomment this line.
#  use_parent_assets: true

  # The following lines are showing how to load assets in your page
  # Uncomment and change value to start loading css or js files
#  css:
#    all:
#      - id: custom-lib-style
#        path: assets/css/custom-lib.css
#    product:
#      - id: product-style
#        path: assets/css/product.css
#        media: all
#        priority: 200
#  js:
#    cart:
#      - id: cat-extra-lib
#        path: assets/js/cart-lib.js


global_settings:
  configuration:
    PS_IMAGE_QUALITY: png
  modules:
   to_enable:
     - ps_contactinfo
     - ps_searchbar
     - ps_socialfollow
     - ps_emailsubscription
     - fieldthemecustomizer
     - fieldblocksearch
     - fieldmegamenu
     - fieldpopupnewsletter
     - fieldhtmlblock
     - fieldproductcates
     - elevatezoom
     - fieldsizechart
     - fieldproductcomments
     - fieldbannerslider
     - fieldslideshow
     - fieldtestimonials
     - fieldnewproductslider
     - fieldfeaturedproductslider
     - fieldbrandslider
     - fieldspecialproductdeal
     - fieldcompare
     - fieldblockwishlist
     - fieldblocktags
     - smartblog
     - smartblogaddthisbutton
     - smartbloghomelatestnews
     - fieldblogcategories
     - fieldblogpopularposts
     - fieldblogrecentposts
     - fieldblogsearch
     - fieldblogtags
   to_disable:
     - welcome
     - ps_customtext
     - ps_featuredproducts
     - ps_imageslider
     - ps_mainmenu
     - ps_banner
  hooks:
    modules_to_hook:
      displayAdminCustomers:
        - fieldblockwishlist
      displayAdminProductsExtra:
        - fieldsizechart
      displayAdminStatsGraphEngine:
        - graphnvd3
      displayAdminStatsGridEngine:
        - gridhtml
      displayAdminStatsModules:
        - pagesnotfound
        - sekeywords
        - statsbestcategories
        - statsbestcustomers
        - statsbestproducts
        - statsbestsuppliers
        - statsbestvouchers
        - statscarrier
        - statscatalog
        - statscheckup
        - statsequipment
        - statsforecast
        - statslive
        - statsnewsletter
        - statsorigin
        - statspersonalinfos
        - statsproduct
        - statsregistrations
        - statssales
        - statssearch
        - statsstock
        - statsvisits
      displayBackOfficeHeader:
        - welcome
        - fieldsizechart
        - smartblog
      displayBeforeBodyClosingTag:
        - statsdata
      displayCompareButton:
        - fieldcompare
      displayCustomerAccount:
        - fieldblockwishlist
      displayFooter:
        - ps_contactinfo
        - ps_customeraccountlinks
        - ps_linklist
      displayFooterAfter:
        - fieldhtmlblock
        - ps_socialfollow
      displayFooterBefore:
        - ps_emailsubscription
      displayFooterProduct:
        - fieldproductcates
      displayHeaderMenu:
        - fieldmegamenu
      displayHome:
        - fieldpopupnewsletter
      displayLeftColumn:
        - ps_categorytree
        - ps_facetedsearch
        - fieldbannerslider
      displayMobileTopSiteMap:
        - fieldblocksearch
      displayMyAccountBlock:
        - fieldblockwishlist
      displayNav1:
        - ps_currencyselector
        - ps_languageselector
        - ps_customersignin 
      displayPaymentReturn:
        - ps_checkpayment
        - ps_wirepayment
      displayProductAdditionalInfo:
        - ps_sharebuttons
      displayProductListFunctionalButtons:
        - fieldblockwishlist
      displayProductListReviews:
        - fieldproductcomments
      displayProductSizeGuide:
        - fieldsizechart
      displayReassurance:
        - blockreassurance
      displayReviewsProduct:
        - fieldproductcomments
      displayRightColumn:
        - fieldblockwishlist
      displaySmartAfterPost:
        - smartblogaddthisbutton
      displaySmartBlogLeft:
        - fieldblogcategories
        - fieldblogsearch
        - fieldblogpopularposts
        - fieldblogtags
      displayTop:
        - ps_shoppingcart
        - fieldblocksearch
  image_types:
    cart_default:
      width: 125
      height: 153
      scope: [products]
    small_default:
      width: 130
      height: 159
      scope: [products, categories, manufacturers, suppliers]
    medium_default:
      width: 520
      height: 635
      scope: [products, manufacturers, suppliers]
    home_default:
      width: 270
      height: 330
      scope: [products]
    large_default:
      width: 450
      height: 550
      scope: [products, manufacturers, suppliers]
    category_default:
      width: 1920
      height: 423
      scope: [categories]
    stores_default:
      width: 170
      height: 115
      scope: [stores]
    field_manufacture:
      width: 170
      height: 130
      scope: [manufacturers]
      
theme_settings:
  default_layout: layout-full-width
  layouts:
    best-sales: layout-left-column
    contact: layout-left-column
    manufacturer: layout-left-column
    new-products: layout-left-column
    prices-drop: layout-left-column
    search: layout-left-column
    category: layout-left-column
    module-smartblog-archive: layout-left-column
    module-smartblog-category: layout-left-column
    module-smartblog-details: layout-left-column
    module-smartblog-search: layout-left-column
    module-smartblog-tagpost: layout-left-column
